Subject: Re: bug#48949: 28.0.50; Thread-Process Liberalization

From: [email-masked]
Date: Sat, 12 Jun 2021 10:51:45 -0400

EZ> why not unlock the process, so that its output could be
EZ> processed by any thread?

Yes, why don't I just call pset_thread(proc, Qnil) when the mood strikes in
process.c?  You make it sound as if pset_thread is an exposed defun.

Nine years ago, tromey in commit 6c0d5ae declaimed the notion of locking a
thread to a process.  Other than raising an error when a thread tried to
accept output from a process not its own, there appears to my untrained eye
no other ramification, good or bad, of pset_thread.